# cpr_job_service.hpp File Reference

`#include <string>`
`#include <vector>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/types.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/url.hpp>`
`#include <saga/saga/job.hpp>`
`#include <saga/saga/cpr.hpp>`
`#include <saga/saga/packages/cpr/config.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::cpr
namespace | saga::detail
## Classes
class | saga::cpr::service
| The cpr::service, as a job::service, represents a resource management backend, which additionally offers checkpoint management capabilities. More...
struct | saga::detail::create_default< saga::cpr::service >